Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 590574 - java-1.6.0-openjdk i686 and x86_64 cannot be installed side by side
java-1.6.0-openjdk i686 and x86_64 cannot be installed side by side
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 04:15 EDT by jvos
Modified: 2012-08-16 17:50 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 484858
Environment:
Last Closed: 2012-08-16 17:50:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jvos 2010-05-10 04:15:37 EDT
It used to be possible to install the i686 and x86_64 versions of openjdk side by side. However, recently, when I try to upgrade, I get the following error:

Transaction Check Error:
  file /usr/share/doc/java-1.6.0-openjdk-1.6.0.0/ChangeLog from install of java-1.6.0-openjdk-1:1.6.0.0-37.b17.fc12.x86_64 conflicts with file from package java-1.6.0-openjdk-1:1.6.0.0-31.b16.fc12.i686
  file /usr/share/doc/java-1.6.0-openjdk-1.6.0.0/README from install of java-1.6.0-openjdk-1:1.6.0.0-37.b17.fc12.x86_64 conflicts with file from package java-1.6.0-openjdk-1:1.6.0.0-31.b16.fc12.i686
  file /usr/share/doc/java-1.6.0-openjdk-1.6.0.0/NEWS from install of java-1.6.0-openjdk-1:1.6.0.0-37.b17.fc12.x86_64 conflicts with file from package java-1.6.0-openjdk-1:1.6.0.0-31.b16.fc12.i686
  file /usr/share/doc/java-1.6.0-openjdk-1.6.0.0/THIRD_PARTY_README from install of java-1.6.0-openjdk-1:1.6.0.0-37.b17.fc12.x86_64 conflicts with file from package java-1.6.0-openjdk-1:1.6.0.0-31.b16.fc12.i686

This issue has been solved for Fedora 10 once: see bug 484858. Apparently, the problem is that the 32 bit packages are (no longer) in the repository.

Since it has worker perfectly fine with these packages available, I would appreciate them being so once again.
Comment 1 Bug Zapper 2010-11-03 11:12:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Edward Rudd 2010-11-03 14:17:31 EDT
From looking at the available packages in Fedora 14 x86_64 the 32bit openjdk does not appear to be available still. (even though it can be due to the now non-conflicting nature of the packages)
Comment 3 Bug Zapper 2010-12-03 09:52:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Edward Rudd 2010-12-03 17:43:09 EST
This issue still is applicable to Fedora 14 x86_64.. Only the 64bit JVM is available in the package list.  (I can not update the fedora version # since I am not the creator of this bug)
Comment 5 jvos 2010-12-07 04:13:10 EST
I'm currently not using Fedora any more, but I'll update the Fedora version based on Comment 4.
Comment 6 Deepak Bhole 2010-12-07 09:41:00 EST
What is the motivation for requiring a 32-bit JDK on 64-bit installs?
Comment 7 jvos 2010-12-07 09:51:42 EST
There can be different reasons. One is compatibility with Eclipse RCP applications (like eclipse itself) that are compiled for 32 bit -- they don't work with 64 bit jvm's.
Comment 8 Deepak Bhole 2010-12-07 09:59:56 EST
Ah, I see. Are such apps not available in 64-bit? Can you please give me an example of one?
Comment 9 jvos 2010-12-07 10:10:13 EST
(In reply to comment #8)
> Ah, I see. Are such apps not available in 64-bit? Can you please give me an
> example of one?

Well, several proprietary ones we use over here :) And no, they are not.
Comment 10 Bill Adams 2010-12-07 12:12:27 EST
The main, and only, app I need is the Juniper Networks NCIU VPN client. I ended up installing the 32-bit JVM and all needed rpms in a different root and then setting the java path appropriately. It works, but it is not simple.
Comment 11 Tom Bell 2010-12-09 16:29:55 EST
Bill - I'm running into the same issue I think you solved.  I have the Juniper Networks NCUI VPN client, but can't get it to run using 64-bit Java.  Could you please send instructions on installing 32-bit JVM and all needed RPMs?  Thanks in advance...


Linux 2.6.32-71.7.1.el6.x86_64 #1 SMP Wed Oct 27 03:44:59 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux


# cat /etc/redhat-release
Red Hat Enterprise Linux Workstation release 6.0 (Santiago)
Comment 12 Bill Adams 2010-12-09 16:53:32 EST
Tom,

I did this for my Fedora 13 desktop. The shell script below was written as I did each bit so it may or may not work well to just run it.

After you have your chroot environment, you can run NCUI (non-chroot even):

/home/Fedora13-i686/usr/lib/jvm/jre-1.6.0-openjdk/bin/java -classpath /usr/local/nc/NC.jar NC -h vpnhost -u vpnuser -p somepass -r realm -f ~/.certfile.cert


Good luck!

--Bill


[bill@tiki bin]$ cat setup-java-chroot.sh 
#!/bin/bash
#Mostly lifted from http://cormander.com/blog/2008/05/install-fc9-into-a-chroot-from-a-dvd-iso/

DESTDIR="/home/Fedora13-i686"


#ISO Not needed. But if you have it.
#ISO="/home/bill/Desktop/Fedora-13-i386-DVD.iso"

if [ "" = "$DESTDIR" ]; then
  echo "ERROR: What Deistination Directory?"
  exit 1;
fi


if [ ! -d $DESTDIR ]; then
  echo "ERROR $DESTDIR Does Not Exist"
  exit;
fi

if [ -e $DESTDIR/usr/lib/jvm/jre-1.6.0-openjdk/bin/java ]; then
  echo "It looks like you already have $DESTDIR/usr/lib/jvm/jre-1.6.0-openjdk/bin/java";
  exit;
fi


if [ -n "$ISO" ]; then
  if [ ! -e $ISO ]; then
    echo "ERROR: $ISO does not exist"
    exit 1;
  fi
fi

if [ $(id -u) -ne 0 ]; then
  echo "This script should be run as root or with sudo"
  exit;
fi

#Comment out the next line if you really want to run this script
echo "You should read scripts before running them as root."; exit;

# create target directories
mkdir -pv $DESTDIR/dev
mkdir -pv $DESTDIR/etc
mkdir -pv $DESTDIR/proc
mkdir -pv $DESTDIR/var/lib/rpm
mkdir -pv $DESTDIR/mnt/install-dvd

cp -vi /etc/resolv.conf $DESTDIR/etc/

# setup the installroot so yum works inside it
mknod $DESTDIR/dev/null c 1 3
mknod $DESTDIR/dev/tty c 5 0
mknod $DESTDIR/dev/random c 1 8
mknod $DESTDIR/dev/urandom c 1 9
mkdir $DESTDIR/dev/net
mknod $DESTDIR/dev/net/tun c 10 200


mount -t proc none $DESTDIR/proc
rpm --root $DESTDIR --initdb

if [ "$ISO" != "" ]; then
  # mount your Fedora DVD iso image
  # NOTE: change /PATH/TO/ to the path to your .iso file
  mount -o loop $ISO $DESTDIR/mnt/install-dvd

  # create a symlink to the target iso mount
  ln -s $DESTDIR/mnt/install-dvd /mnt/

  # force the install of the release file so we can use its contents for yum
  rpm --root $DESTDIR -Uvh --nodeps $DESTDIR/mnt/install-dvd/Packages/fedora-release-13-1.noarch.rpm
  umount $DESTDIR/mnt/install-dvd

else

  rpm --root $DESTDIR -Uvh --nodeps http://download.fedora.redhat.com/pub/fedora/linux/releases/13/Everything/i386/os/Packages/fedora-release-13-1.noarch.rpm
fi

# import the Fedora GPG key
rpm --root $DESTDIR --import http://download.fedora.redhat.com/pub/fedora/linux/releases/13/Fedora/i386/os/RPM-GPG-KEY-fedora

#Change the base arch to i386
perl -pi -e 's/\$basearch/i386/g' $DESTDIR/etc/yum.repos.d/*.repo

#Note: Do not add rpm nor yum to run in the chroot environment,
#  it will corrupt the RPM database. To fix, remove
#  $DESTDIR/var/lib/rpm/__db.* and then run
#  rpm --root $DESTDIR --rebuilddb 
#
# Why 398-console? It installs a bunch of stuff we need: https://bugzilla.redhat.com/show_bug.cgi?id=521523
#   If you are not running chroot then you probably only need bash and java.
yum --installroot $DESTDIR install bash java-1.6.0-openjdk net-tools liberation-*fonts* strace net-tools 389-console passwd

echo "Now Use either rpm --root $DESTDIR ...  OR yum --installroot $DESTDIR .... to manage packages"
echo "Or use $DESTDIR/usr/lib/jvm/jre-1.6.0-openjdk/bin/java"
Comment 13 Fedora End Of Life 2012-08-16 17:50:42 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.